Option Explicit

' Using CARDS.DLL with Visual Basic
' Conversion by Ric Perrott Feb 1994

' This App demonstrates the BASICS of using CARDS.DLL in VB
' This is by NO MEANS a finished, polished product and as
' such, the author releases this code to the public domain
' but releases himself from any damage or misuse that may
' arise from the use of this product.

' CARDS.DLL is Copyright Microsoft Corporation and this
' program does NOT give you permission to distribute that
' file with your own applications.

'Structures to use in Sample App

Type tagPOINT
    x As Integer
    y As Integer
End Type

Type tagCARD
    CardFace As Integer     'Card # 1-52
    FaceType As Integer       'BOOL Faceup True False
    pt As tagPOINT          'Upper Left Hand corner of card
End Type

Global Card As tagCARD

'Function Declarations for CARDS.DLL
Declare Function CardInit Lib "CARDS.DLL" Alias "cdtInit" (PointX As Integer, PointY As Integer) As Integer
' Pointers to Card coordinates, returns TRUE if succesful

Declare Function DrawCard Lib "CARDS.DLL" Alias "cdtDraw" (ByVal hDC As Integer, ByVal PointX As Integer, ByVal PointY As Integer, ByVal Card As Integer, ByVal DrawMode As Integer, ByVal BkGrnd As Long) As Integer
'Parameters:
'hDC-    HDC of window to draw cards on
'x,y -   Upper left hand point
'Card -   Card # (Use CONSTANTS)
'Mode-  Draw Mode for Card, see Constants
'BkGrnd-    An RBG Long value of the Background color for the drawn card
'RETURNS TRUE IF SUCCESSFUL

Declare Function DrawCardEX Lib "CARDS.DLL" Alias "cdtDrawExt" (ByVal hDC As Integer, ByVal PointX As Integer, ByVal PointY As Integer, ByVal ExtX As Integer, ByVal ExtY As Integer, ByVal Card As Integer, ByVal DrawMode As Integer, ByVal BkGrnd As Long) As Integer
' Extended drawing fuction, allows for nonstandard card sizes.
'Same params as above plus:
'ExtX, ExtY-    Lower right hand corner of Card, used to stretch or shrink Cards to specific sizes
'RETURNS TRUE IF SUCCESSFUL

Declare Sub EndCard Lib "CARDS.DLL" Alias "cdtTerm" ()
'Call when you are finshed with the DLL.

Global Center As tagPOINT
 
Global Const IDACLUBS = 0
Global Const ID2CLUBS = 4
Global Const ID3CLUBS = 8
Global Const ID4CLUBS = 12
Global Const ID5CLUBS = 16
Global Const ID6CLUBS = 20
Global Const ID7CLUBS = 24
Global Const ID8CLUBS = 28
Global Const ID9CLUBS = 32
Global Const ID10CLUBS = 36
Global Const IDJCLUBS = 40
Global Const IDQCLUBS = 44
Global Const IDKCLUBS = 48

Global Const IDADIAMONDS = 1
Global Const ID2DIAMONDS = 5
Global Const ID3DIAMONDS = 9
Global Const ID4DIAMONDS = 13
Global Const ID5DIAMONDS = 17
Global Const ID6DIAMONDS = 21
Global Const ID7DIAMONDS = 25
Global Const ID8DIAMONDS = 29
Global Const ID9DIAMONDS = 33
Global Const ID10DIAMONDS = 37
Global Const IDJDIAMONDS = 41
Global Const IDQDIAMONDS = 45
Global Const IDKDIAMONDS = 49

Global Const IDAHEARTS = 2
Global Const ID2HEARTS = 6
Global Const ID3HEARTS = 10
Global Const ID4HEARTS = 14
Global Const ID5HEARTS = 18
Global Const ID6HEARTS = 22
Global Const ID7HEARTS = 26
Global Const ID8HEARTS = 30
Global Const ID9HEARTS = 34
Global Const IDTHEARTS = 38
Global Const IDJHEARTS = 42
Global Const IDQHEARTS = 46
Global Const IDKHEARTS = 50

Global Const IDASPADES = 3
Global Const ID2SPADES = 7
Global Const ID3SPADES = 11
Global Const ID4SPADES = 15
Global Const ID5SPADES = 19
Global Const ID6SPADES = 23
Global Const ID7SPADES = 27
Global Const ID8SPADES = 31
Global Const ID9SPADES = 35
Global Const IDTSPADES = 39
Global Const IDJSPADES = 43
Global Const IDQSPADES = 47
Global Const IDKSPADES = 51

Global Const IDGHOST = 53

' To see Card backs, you must use FACEDOWN in the call, rather than FACEUP
'CB_ stands for CARD BACK
Global Const CB_REDBLUEHATCH = 54
Global Const CB_CROSSHATCH = 55
Global Const CB_ROBOT = 56
Global Const CB_ROSES = 57
Global Const CB_GREENIVY = 58
Global Const CB_BLUEIVY = 59
Global Const CB_REDFISH = 60
Global Const CB_REDFISHBLUEBACK = 61
Global Const CB_SEASHELL = 62
Global Const CB_CASTLE = 63
Global Const CB_PALMTREE = 64
Global Const CB_ACESINHAND = 65

Global Const IDFACEDOWNFIRST = CB_REDBLUEHATCH
Global Const IDFACEDOWNLAST = CB_ACESINHAND

Global Const X_CARD = 54
Global Const O_CARD = 55

' Red non-face card frame
Global Const IDFRAME = 999

'Draw Modes for Cards
Global Const FACEUP = 0
Global Const FACEDOWN = 1
Global Const HILITE = 2
Global Const GHOST = 3
Global Const REMOVE = 4
Global Const INVISIBLEGHOST = 5
Global Const DECKX = 6
Global Const DECKO = 7

Sub FillBackBox ()
Form1!lstBacks.AddItem "CB_REDBLUEHATCH"
Form1!lstBacks.ItemData(0) = CB_REDBLUEHATCH
Form1!lstBacks.AddItem "CB_CROSSHATCH "
Form1!lstBacks.ItemData(1) = CB_CROSSHATCH
Form1!lstBacks.AddItem "CB_ROBOT = "
Form1!lstBacks.ItemData(2) = CB_ROBOT
Form1!lstBacks.AddItem "CB_ROSES = "
Form1!lstBacks.ItemData(3) = CB_ROSES
Form1!lstBacks.AddItem "CB_GREENIVY  "
Form1!lstBacks.ItemData(4) = CB_GREENIVY
Form1!lstBacks.AddItem "CB_BLUEIVY "
Form1!lstBacks.ItemData(5) = CB_BLUEIVY
Form1!lstBacks.AddItem "CB_REDFISH "
Form1!lstBacks.ItemData(6) = CB_REDFISH
Form1!lstBacks.AddItem "CB_REDFISHBLUEBACK "
Form1!lstBacks.ItemData(7) = CB_REDFISHBLUEBACK
Form1!lstBacks.AddItem "CB_SEASHELL "
Form1!lstBacks.ItemData(8) = CB_SEASHELL
Form1!lstBacks.AddItem "CB_CASTLE "
Form1!lstBacks.ItemData(9) = CB_CASTLE
Form1!lstBacks.AddItem "CB_PALMTREE "
Form1!lstBacks.ItemData(10) = CB_PALMTREE
Form1!lstBacks.AddItem "CB_ACESINHAND "
Form1!lstBacks.ItemData(11) = CB_ACESINHAND
End Sub

Sub FillCardBox ()

Form1!lstCards.AddItem "IDACLUBS"
Form1!lstCards.ItemData(0) = IDACLUBS
Form1!lstCards.AddItem "ID2CLUBS"
Form1!lstCards.ItemData(1) = ID2CLUBS
Form1!lstCards.AddItem "ID3CLUBS"
Form1!lstCards.ItemData(2) = ID3CLUBS
Form1!lstCards.AddItem "ID4CLUBS"
Form1!lstCards.ItemData(3) = ID4CLUBS
Form1!lstCards.AddItem "ID5CLUBS"
Form1!lstCards.ItemData(4) = ID5CLUBS
Form1!lstCards.AddItem "ID6CLUBS"
Form1!lstCards.ItemData(5) = ID6CLUBS
Form1!lstCards.AddItem "ID7CLUBS"
Form1!lstCards.ItemData(6) = ID7CLUBS
Form1!lstCards.AddItem "ID8CLUBS"
Form1!lstCards.ItemData(7) = ID8CLUBS
Form1!lstCards.AddItem "ID9CLUBS"
Form1!lstCards.ItemData(8) = ID9CLUBS
Form1!lstCards.AddItem "ID10CLUBS"
Form1!lstCards.ItemData(9) = ID10CLUBS
Form1!lstCards.AddItem "IDJCLUBS"
Form1!lstCards.ItemData(10) = IDJCLUBS
Form1!lstCards.AddItem "IDQCLUBS"
Form1!lstCards.ItemData(11) = IDQCLUBS
Form1!lstCards.AddItem "IDKCLUBS"
Form1!lstCards.ItemData(12) = IDKCLUBS
Form1!lstCards.AddItem "IDADIAMONDS"
Form1!lstCards.ItemData(13) = IDADIAMONDS
Form1!lstCards.AddItem "ID2DIAMONDS"
Form1!lstCards.ItemData(14) = ID2DIAMONDS
Form1!lstCards.AddItem "ID3DIAMONDS"
Form1!lstCards.ItemData(15) = ID3DIAMONDS
Form1!lstCards.AddItem "ID4DIAMONDS"
Form1!lstCards.ItemData(16) = ID4DIAMONDS
Form1!lstCards.AddItem "ID5DIAMONDS"
Form1!lstCards.ItemData(17) = ID5DIAMONDS
Form1!lstCards.AddItem "ID6DIAMONDS"
Form1!lstCards.ItemData(18) = ID6DIAMONDS
Form1!lstCards.AddItem "ID7DIAMONDS"
Form1!lstCards.ItemData(19) = ID7DIAMONDS
Form1!lstCards.AddItem "ID8DIAMONDS"
Form1!lstCards.ItemData(20) = ID8DIAMONDS
Form1!lstCards.AddItem "ID9DIAMONDS"
Form1!lstCards.ItemData(21) = ID9DIAMONDS
Form1!lstCards.AddItem "ID10DIAMONDS"
Form1!lstCards.ItemData(22) = ID10DIAMONDS
Form1!lstCards.AddItem "IDJDIAMONDS"
Form1!lstCards.ItemData(23) = IDJDIAMONDS
Form1!lstCards.AddItem "IDQDIAMONDS"
Form1!lstCards.ItemData(24) = IDQDIAMONDS
Form1!lstCards.AddItem "IDKDIAMONDS"
Form1!lstCards.ItemData(25) = IDKDIAMONDS


Form1!lstCards.AddItem "IDAHEARTS"
Form1!lstCards.ItemData(26) = IDAHEARTS
Form1!lstCards.AddItem "ID2HEARTS"
Form1!lstCards.ItemData(27) = ID2HEARTS
Form1!lstCards.AddItem "ID3HEARTS"
Form1!lstCards.ItemData(28) = ID3HEARTS
Form1!lstCards.AddItem "ID4HEARTS"
Form1!lstCards.ItemData(29) = ID4HEARTS
Form1!lstCards.AddItem "ID5HEARTS"
Form1!lstCards.ItemData(30) = ID5HEARTS
Form1!lstCards.AddItem "ID6HEARTS"
Form1!lstCards.ItemData(31) = ID6HEARTS
Form1!lstCards.AddItem "ID7HEARTS"
Form1!lstCards.ItemData(32) = ID7HEARTS
Form1!lstCards.AddItem "ID8HEARTS"
Form1!lstCards.ItemData(33) = ID8HEARTS
Form1!lstCards.AddItem "ID9HEARTS"
Form1!lstCards.ItemData(34) = ID9HEARTS
Form1!lstCards.AddItem "IDTHEARTS"
Form1!lstCards.ItemData(35) = IDTHEARTS
Form1!lstCards.AddItem "IDJHEARTS"
Form1!lstCards.ItemData(36) = IDJHEARTS
Form1!lstCards.AddItem "IDQHEARTS"
Form1!lstCards.ItemData(37) = IDQHEARTS
Form1!lstCards.AddItem "IDKHEARTS"
Form1!lstCards.ItemData(38) = IDKHEARTS

Form1!lstCards.AddItem "IDASPADES"
Form1!lstCards.ItemData(39) = IDASPADES
Form1!lstCards.AddItem "ID2SPADES"
Form1!lstCards.ItemData(40) = ID2SPADES

Form1!lstCards.AddItem "ID3SPADES"
Form1!lstCards.ItemData(41) = ID3SPADES
Form1!lstCards.AddItem "ID4SPADES"
Form1!lstCards.ItemData(42) = ID4SPADES
Form1!lstCards.AddItem "ID5SPADES"
Form1!lstCards.ItemData(43) = ID5SPADES
Form1!lstCards.AddItem "ID6SPADES"
Form1!lstCards.ItemData(44) = ID6SPADES
Form1!lstCards.AddItem "ID7SPADES"
Form1!lstCards.ItemData(45) = ID7SPADES
Form1!lstCards.AddItem "ID8SPADES"
Form1!lstCards.ItemData(46) = ID8SPADES
Form1!lstCards.AddItem "ID9SPADES"
Form1!lstCards.ItemData(47) = ID9SPADES
Form1!lstCards.AddItem "IDTSPADES"
 Form1!lstCards.ItemData(48) = IDTSPADES
Form1!lstCards.AddItem "IDJSPADES"
Form1!lstCards.ItemData(49) = IDJSPADES
Form1!lstCards.AddItem "IDQSPADES"
Form1!lstCards.ItemData(50) = IDQSPADES
Form1!lstCards.AddItem "IDKSPADES"
Form1!lstCards.ItemData(51) = IDKSPADES


End Sub

